Fund an application wallet
curl --request POST \
--url https://api.darwin.so/api/v1/applications/{applicationId}/wallet/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"agentId": "<string>",
"amountMinor": 2,
"currency": "<string>"
}
'import requests
url = "https://api.darwin.so/api/v1/applications/{applicationId}/wallet/transfers"
payload = {
"agentId": "<string>",
"amountMinor": 2,
"currency": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({agentId: '<string>', amountMinor: 2, currency: '<string>'})
};
fetch('https://api.darwin.so/api/v1/applications/{applicationId}/wallet/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wallet": {
"applicationId": "<string>",
"currency": "<string>",
"availableAmountMinor": 1,
"reservedAmountMinor": 1,
"operationalAvailableAmountMinor": 1,
"operationalReservedAmountMinor": 1,
"pendingFeeEarningsMinor": 1,
"availableFeeEarningsMinor": 123
}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Connect API · Application Balance
Fund an application wallet
Owner credentials only. Transfers funds from an explicitly selected Darwin agent wallet.
POST
/
applications
/
{applicationId}
/
wallet
/
transfers
Fund an application wallet
Authorizations
Darwin API keys begin with darwin_ and are created in Developer settings.
Headers
A caller-generated key, unique to this operation and payload.
Required string length:
1 - 200Path Parameters
Body
application/json
Response
The updated application wallet.
Show child attributes
Show child attributes
⌘I